curl --request GET \
--url 'https://gateway.amana.io/trading/orders' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/trading/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/trading/orders', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
{
"orders": [
{
"id": "<string>",
"symbol": "<string>",
"logo": "<string>",
"friendlyName": "<string>",
"units": 123.45,
"digits": 123.45,
"state": 123.45,
"delayed": false,
"sharia": false,
"priceOpen": 123.45,
"priceCurrent": 123.45,
"leverage": 123.45,
"timeCreate": 123.45,
"timeUpdate": 123.45,
"rateMargin": 1,
"isBuy": true,
"isLimit": true,
"sl": 0,
"tp": 0,
"comment": "<string>",
"invested": 0,
"useMargin": true
}
]
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Trading
List pending orders
List limit and stop orders that have not been filled yet.
GET
/
trading
/
orders
curl --request GET \
--url 'https://gateway.amana.io/trading/orders' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/trading/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/trading/orders', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
{
"orders": [
{
"id": "<string>",
"symbol": "<string>",
"logo": "<string>",
"friendlyName": "<string>",
"units": 123.45,
"digits": 123.45,
"state": 123.45,
"delayed": false,
"sharia": false,
"priceOpen": 123.45,
"priceCurrent": 123.45,
"leverage": 123.45,
"timeCreate": 123.45,
"timeUpdate": 123.45,
"rateMargin": 1,
"isBuy": true,
"isLimit": true,
"sl": 0,
"tp": 0,
"comment": "<string>",
"invested": 0,
"useMargin": true
}
]
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Response
200 Success.
object[]
Possible Errors
| Error | Possible cause | What to do |
|---|---|---|
| 401 | Token missing or expired | Log in again or use the refresh token. |
| 403 | IP not whitelisted, or account restricted | Confirm your IP is whitelisted; otherwise contact Amana. |
| 429 / 5xx | Rate limit, or temporary issue on our side | Retry with backoff; contact support if it persists. |
curl --request GET \
--url 'https://gateway.amana.io/trading/orders' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://gateway.amana.io/trading/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.request("GET", url, headers=headers)
print(response.json())
const response = await fetch('https://gateway.amana.io/trading/orders', {
method: 'GET',
headers: {"Authorization": "Bearer <token>"},
});
console.log(await response.json());
{
"orders": [
{
"id": "<string>",
"symbol": "<string>",
"logo": "<string>",
"friendlyName": "<string>",
"units": 123.45,
"digits": 123.45,
"state": 123.45,
"delayed": false,
"sharia": false,
"priceOpen": 123.45,
"priceCurrent": 123.45,
"leverage": 123.45,
"timeCreate": 123.45,
"timeUpdate": 123.45,
"rateMargin": 1,
"isBuy": true,
"isLimit": true,
"sl": 0,
"tp": 0,
"comment": "<string>",
"invested": 0,
"useMargin": true
}
]
}
{
"error": "<string>",
"message": "<string>",
"details": {}
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
Last modified on October 8, 2026
